ClassFileUtils (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.depend, class: ClassFileUtils

Package org.apache.tools.ant.taskdefs.optional.depend

# Class ClassFileUtils

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.ClassFileUtils

    public class ClassFileUtils
    extends java.lang.Object

Utility class file routines. This class provides a number of static utility methods to convert between the formats used in the Java class file format and those commonly used in Java programming.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClassFileUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `convertDotName​(java.lang.String dotName)` | Convert a class name from java source file dot notation to class file slash notation..
  `static java.lang.String` | `convertSlashName​(java.lang.String name)` | Convert a class name from class file slash notation to java source file dot notation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassFileUtils

    public ClassFileUtils()

- ## Method Details

  - ### convertSlashName

    public static java.lang.String convertSlashName​(java.lang.String name)
    Convert a class name from class file slash notation to java source file dot notation.
    Parameters:
      `name` - the class name in slash notation org/apache/ant
    Returns:
      the class name in dot notation (eg. java.lang.Object).

  - ### convertDotName

    public static java.lang.String convertDotName​(java.lang.String dotName)
    Convert a class name from java source file dot notation to class file slash notation..
    Parameters:
      `dotName` - the class name in dot notation (eg. java.lang.Object).
    Returns:
      the class name in slash notation (eg. java/lang/Object).